/*          
    Ispisivanje raznih struktura.
    
    Nalaze se sledece f-je:
        
        void _print_drvo (struct cvor *koren);
            Stampa drvo koje generise parser.
*/

#include "main.h"

/* ---------------------------------------------------------------------- */

void _print_drvo (struct cvor *koren)
{
 
 _poruka( 12, "Prevedena formula:" );
 _prtd( koren );
 _poruka( 0 );
}
 
void _prtd (struct cvor *koren)
{
 if (!koren) return;

 switch (koren->tip) {

  case IFF: _poruka (10, "(");
  			_prtd (koren->levi);
            _poruka (10, " IFF ");
  			_prtd (koren->desni);
            _poruka (10, ")");
  			break;

  case THEN: _poruka (10, "(");
  			 _prtd (koren->levi);
             _poruka (10, " THEN ");
  			 _prtd (koren->desni);
             _poruka (10, ")");
  			 break;

  case AND:
         /* _poruka (10, "{"); */
  			_prtd (koren->levi);
            _poruka (10, " AND ");
  			_prtd (koren->desni);
         /* _poruka (10, "}"); */
            break;

  case OR:
        /* _poruka (10, "{"); */
  		   _prtd (koren->levi);
           _poruka (10, " OR ");
  		   _prtd (koren->desni);
        /* _poruka (10, "}"); */
  		   break;

  case NOT: _poruka (10, "NOT [");
            if (koren->levi)
                printf ("WWWW1");
  			_prtd (koren->desni);
            _poruka (10, "]");
  			break;


  case ISKAZNO_SLOVO:
              _poruka( 11, koren->vrednost );
              break;
 }
} /* _prtd */
