/*  
    Glavni modul za prevodjenje iskazne formule. Sadrzi

        void main ()
*/

#include <string.h>
#include <stdlib.h>
#include "main.h"

char debug = 0;                      /* izvestaj na ekran, ako == 1 */
char tofile = 0;                     /* izvestaj u datoteku, ako == 1 */
struct cvor *drvo_formule = NULL ;   /* pokazivac na koren drveta formule */

int yyline = 1 ;                     /* broj linije teksta koja se cita */
char yytext_p[ MAX_SLOVA+1 ];        /* izdvojeni tekst */
int yyparse( void );

/* ---------------------------------------------------------------------- */

int main( int argc, char ** argv )
{
    
    if( argc < 2 ) {
        _poruka( 8, "prevod <ime_fajla>" );
        exit( 0 );
    }
    if(( yyin = fopen( argv[1], "r" )) == NULL) {
        _poruka( 6, argv[1] );
        exit( 0 );
    }

    yyparse();
    
    _print_drvo (drvo_formule);

	return 0;
}

